FETCH(9)

NAME
fetch, fubyte, fusword, fuswintr, fuword - fetch data from user-space

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
#include <sys/resourcevar.h>
int
fubyte(const void *base);
int
fusword(void *base);
int
fuswintr(void *base);
int
fuword(const void *base);

DESCRIPTION
The fetch functions are designed to copy small amounts of data from user-space.

The fetch routines provide the following functionality:

fubyte()
    Fetches a byte of data from the user-space address base.

fusword()
    Fetches a short word of data from the user-space address base.

fuswintr()
    Fetches a short word of data from the user-space address base. This function is safe to call during an interrupt context.

fuword()
    Fetches a word of data from the user-space address base.

RETURN VALUES
The fetch functions return the data fetched or -1 on failure.

SEE ALSO
copy(9), store(9).